### Name: diffuse
### Title: Compute diffusion map coordinates from pair-wise distances.
### Aliases: diffuse
### Keywords: multivariate nonparametric

### ** Examples


## example with noisy spiral
t=runif(1000)^.7*10
n = length(t);
al=.15;bet=.5;
x1=bet*exp(al*t)*cos(t)+rnorm(n,0,.1)
y1=bet*exp(al*t)*sin(t)+rnorm(n,0,.1)
plot(x1,y1,pch=20,main="Noisy spiral")
D = dist(cbind(x1,y1))
dmap = diffuse(D,neigen=1) # compute diffusion map
plot(t,dmap$X,pch=20,xlab="spiral parameter",ylab="1st diffusion coeff.")

## example with annulus data set
data(annulus)
plot(annulus,main="Annulus Data",pch=20,cex=.7)
D = dist(annulus) # use Euclidean distance
dmap = diffuse(D) # compute diffusion map & plot
print(dmap)
plot(dmap)



